List Edge Versions
curl --request GET \
--url https://api.retab.com/v1/workflows/edges/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.retab.com/v1/workflows/edges/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.retab.com/v1/workflows/edges/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"edge_id": "<string>",
"workflow_id": "<string>",
"workflow_version_id": "<string>",
"source": "<string>",
"target": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"source_handle": "<string>",
"target_handle": "<string>",
"animated": true
}
],
"list_metadata": {
"before": "<string>",
"after": "<string>"
}
}{
"detail": []
}Versions
List Edge Versions
GET
/
v1
/
workflows
/
edges
/
versions
List Edge Versions
List immutable workflow edge versions.
Python
workflow_id = "wf_abc123"
print(workflow_id)
TypeScript
const workflowId = "wf_abc123";
console.log(workflowId);
Go
workflowID := "wf_abc123"
_ = workflowID
Java
String workflowId = "wf_abc123";
System.out.println(workflowId);
cURL
curl "https://api.retab.com/v1/workflows/edges/versions?workflow_id=wf_abc123" \
-H "Authorization: Bearer $RETAB_API_KEY"
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by stable edge ID
Filter by workflow version ID
Edge version cursor before
Edge version cursor after
Maximum number of edge versions to return
Required range:
1 <= x <= 100Response
Successful Response
A page of WorkflowEdgeVersion resources. data holds the items and list_metadata carries the before/after cursors; pass after to fetch the next page.